From 6ca8ea43fbf443f06604de18334c21fd21c6ce7c Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Mon, 30 Apr 2012 17:34:10 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/README.source                               |    3 -
 debian/amavisd-new.lintian                         |    1 -
 debian/changelog                                   |   13 ++++
 debian/compat                                      |    2 +-
 debian/control                                     |    5 +-
 debian/copyright                                   |    2 +-
 debian/patches/00list                              |    6 --
 debian/patches/20-safe-path-at-init.patch          |   20 +++++
 debian/patches/20_safe_path_at_init.dpatch         |   21 ------
 ...ltin.dpatch => 30-conf.d-support-builtin.patch} |   23 +++---
 .../{40_fix_paths.dpatch => 40-fix-paths.patch}    |   77 ++++++++++----------
 ...oc_changes.dpatch => 45-misc-doc-changes.patch} |   35 +++++----
 ...dpatch => 60-amavisd-snmp-subagent-paths.patch} |   19 +++--
 debian/patches/85-clarify-fqdn-error.patch         |   19 +++++
 debian/patches/85-clarify_fqdn_error.dpatch        |   20 -----
 debian/patches/series                              |    6 ++
 debian/rules                                       |   11 ++-
 debian/source/format                               |    2 +-
 18 files changed, 146 insertions(+), 139 deletions(-)
 delete mode 100644 debian/README.source
 delete mode 100644 debian/patches/00list
 create mode 100644 debian/patches/20-safe-path-at-init.patch
 delete mode 100644 debian/patches/20_safe_path_at_init.dpatch
 rename debian/patches/{30_conf.d_support_builtin.dpatch => 30-conf.d-support-builtin.patch} (69%)
 rename debian/patches/{40_fix_paths.dpatch => 40-fix-paths.patch} (62%)
 rename debian/patches/{45_misc_doc_changes.dpatch => 45-misc-doc-changes.patch} (60%)
 rename debian/patches/{60-amavisd-snmp-subagent_paths.dpatch => 60-amavisd-snmp-subagent-paths.patch} (59%)
 create mode 100644 debian/patches/85-clarify-fqdn-error.patch
 delete mode 100644 debian/patches/85-clarify_fqdn_error.dpatch
 create mode 100644 debian/patches/series

diff --git a/debian/README.source b/debian/README.source
deleted file mode 100644
index f97bbcf..0000000
--- a/debian/README.source
+++ /dev/null
@@ -1,3 +0,0 @@
-We use dpatch for patch handling inside our amavisd-new packages.  Please see
-/usr/share/doc/dpatch/README.source.gz (if you have installed dpatch) for documentation about dpatch.
-
diff --git a/debian/amavisd-new.lintian b/debian/amavisd-new.lintian
index 0d8a45c..d4759f9 100644
--- a/debian/amavisd-new.lintian
+++ b/debian/amavisd-new.lintian
@@ -1,5 +1,4 @@
 amavisd-new: no-debconf-config
 amavisd-new: postinst-uses-db-input
-amavisd-new: versioned-dependency-satisfied-by-perl depends: libcompress-raw-zlib-perl (>= 2.017)
 amavisd-new: too-long-extended-description-in-templates amavisd-new/outdated_config_style_warning
 
diff --git a/debian/changelog b/debian/changelog
index 14affe0..9442914 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,16 @@
+amavisd-new (1:2.7.0-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+  * Add build-arch and build-indep targets; use dh_prep in rules file.
+  * Update all patches with "quilt refresh" to make them apply cleanly.
+  * Fix copyright-refers-to-symlink-license (Lintian).
+  * Fix no-homepage-field (Lintian).
+  * Fix unused-override (Lintian).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Mon, 30 Apr 2012 17:30:32 +0300
+
 amavisd-new (1:2.7.0-2) unstable; urgency=low
 
   * [4fa518e] Don't use su to call the cronjob
diff --git a/debian/compat b/debian/compat
index 7ed6ff8..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+9
diff --git a/debian/control b/debian/control
index 25d0cde..af4fc85 100644
--- a/debian/control
+++ b/debian/control
@@ -3,10 +3,11 @@ Section: mail
 Priority: extra
 Maintainer: Brian May <bam@debian.org>
 Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>, Alexander Wirt <formorer@debian.org>
-Build-Depends: debhelper (>= 5), po-debconf, dpatch (>= 2), patch (>= 2.5.9-3bpo1), dpkg-dev (>= 1.13.19)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), po-debconf, patch (>= 2.5.9-3bpo1)
+Standards-Version: 3.9.3
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=amavisd-new/pkg-amavisd-new.git;a=summary
 Vcs-Git: git://anonscm.debian.org/amavisd-new/pkg-amavisd-new.git
+Homepage: http://www.ijs.si/software/amavisd
 
 Package: amavisd-new
 Architecture: all
diff --git a/debian/copyright b/debian/copyright
index c68b302..182ffe4 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -37,7 +37,7 @@ Copyright:
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.
 
-The GPL may be found in /usr/share/common-licenses/GPL on a Debian system.
+The GPL may be found in /usr/share/common-licenses/GPL-2 on a Debian system.
 
 For JpegTester.pm, the following applies:
 The (new)BSD license applies to this package JpegTester.
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index b95f4a9..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,6 +0,0 @@
-20_safe_path_at_init
-30_conf.d_support_builtin
-40_fix_paths
-45_misc_doc_changes
-60-amavisd-snmp-subagent_paths
-85-clarify_fqdn_error.dpatch
diff --git a/debian/patches/20-safe-path-at-init.patch b/debian/patches/20-safe-path-at-init.patch
new file mode 100644
index 0000000..a2a45c6
--- /dev/null
+++ b/debian/patches/20-safe-path-at-init.patch
@@ -0,0 +1,20 @@
+From: Henrique de Moraes Holschuh <hmh@debian.org>
+Subject: Set a safe path at startup for benefit of the config scripts
+
+---
+ amavisd |    4 ++++
+ 1 file changed, 4 insertions(+)
+
+--- a/amavisd
++++ b/amavisd
+@@ -15500,6 +15500,10 @@
+ my($desired_user);                       # username or UID
+ if ($> != 0) { $desired_user = $> }      # use effective UID if not root
+ 
++# Use a default, guaranteed safe path during startup, before loading
++# an user-supplied one from the config file
++$ENV{PATH} = "/bin:/usr/bin";
++
+ # collect and parse command line options
+ my($log_level_override, $max_servers_override);
+ my($myhome_override, $tempbase_override, $helpers_home_override);
diff --git a/debian/patches/20_safe_path_at_init.dpatch b/debian/patches/20_safe_path_at_init.dpatch
deleted file mode 100644
index 57284ab..0000000
--- a/debian/patches/20_safe_path_at_init.dpatch
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/bin/sh /usr/share/dpatch/dpatch-run
-## 20_safe_path_at_init.dpatch by Henrique de Moraes Holschuh <hmh@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Set a safe path at startup for benefit of the config scripts
-
-@DPATCH@
-diff -urNad amavisd-new~/amavisd amavisd-new/amavisd
---- amavisd-new~/amavisd	2007-06-27 12:43:00.000000000 +0200
-+++ amavisd-new/amavisd	2007-09-17 22:23:08.000000000 +0200
-@@ -10939,6 +10939,10 @@
- my($desired_user);                       # username or UID
- if ($> != 0) { $desired_user = $> }      # use effective UID if not root
- 
-+# Use a default, guaranteed safe path during startup, before loading
-+# an user-supplied one from the config file
-+$ENV{PATH} = "/bin:/usr/bin";
-+
- # collect and parse command line options
- my($log_level_override, $max_servers_override);
- my($myhome_override, $tempbase_override, $helpers_home_override);
diff --git a/debian/patches/30_conf.d_support_builtin.dpatch b/debian/patches/30-conf.d-support-builtin.patch
similarity index 69%
rename from debian/patches/30_conf.d_support_builtin.dpatch
rename to debian/patches/30-conf.d-support-builtin.patch
index b8452d0..616708d 100644
--- a/debian/patches/30_conf.d_support_builtin.dpatch
+++ b/debian/patches/30-conf.d-support-builtin.patch
@@ -1,15 +1,14 @@
-#!/bin/sh /usr/share/dpatch/dpatch-run
-## 30_conf.d_support_builtin.dpatch by Henrique de Moraes Holschuh <hmh@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Support Debian conf.d style out-of-the-box without perl hackery
-## DP: in the main legacy config file.
+From: Henrique de Moraes Holschuh <hmh@debian.org>
+Subject: Support Debian conf.d style out-of-the-box without perl hackery
+ in the main legacy config file.
 
-@DPATCH@
-diff -urNad amavisd-new~/amavisd amavisd-new/amavisd
---- amavisd-new~/amavisd	2007-09-17 22:29:49.000000000 +0200
-+++ amavisd-new/amavisd	2007-09-17 22:31:56.000000000 +0200
-@@ -2394,6 +2394,25 @@
+---
+ amavisd |   24 +++++++++++++++++++++++-
+ 1 file changed, 23 insertions(+), 1 deletion(-)
+
+--- a/amavisd
++++ b/amavisd
+@@ -3147,6 +3147,25 @@
      Amavis::Util::read_text("$dir/template-spam-admin.txt", $file_chset);
  }
  
@@ -35,7 +34,7 @@ diff -urNad amavisd-new~/amavisd amavisd-new/amavisd
  #use CDB_File;
  #sub tie_hash($$) {
  # my($hashref, $filename) = @_;
-@@ -11054,7 +11073,10 @@
+@@ -15617,7 +15636,10 @@
    Amavis::Lookup::RE->new(@$Amavis::Conf::map_full_type_to_short_type_re);
  
  # default location of the config file if none specified
diff --git a/debian/patches/40_fix_paths.dpatch b/debian/patches/40-fix-paths.patch
similarity index 62%
rename from debian/patches/40_fix_paths.dpatch
rename to debian/patches/40-fix-paths.patch
index f44f60a..4d53514 100644
--- a/debian/patches/40_fix_paths.dpatch
+++ b/debian/patches/40-fix-paths.patch
@@ -1,13 +1,19 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 40_fix_paths.dpatch by Henrique de Moraes Holschuh <hmh@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Fix references to paths that are different in Debian
+From: Henrique de Moraes Holschuh <hmh@debian.org>
+Subject: Fix references to paths that are different in Debian
 
-@DPATCH@
-diff -urNad pkg-amavisd-new~/README_FILES/README.chroot pkg-amavisd-new/README_FILES/README.chroot
---- pkg-amavisd-new~/README_FILES/README.chroot	2006-01-14 02:02:09.000000000 +0100
-+++ pkg-amavisd-new/README_FILES/README.chroot	2008-05-20 19:29:10.000000000 +0200
+---
+ README_FILES/README.chroot        |    3 +++
+ README_FILES/README.old.scanners  |    4 ++--
+ README_FILES/README.performance   |    2 +-
+ README_FILES/README.sendmail      |    6 +++---
+ README_FILES/README.sendmail-dual |    4 ++--
+ amavisd-agent                     |    2 +-
+ amavisd-nanny                     |    2 +-
+ amavisd-release                   |    2 +-
+ 8 files changed, 14 insertions(+), 11 deletions(-)
+
+--- a/README_FILES/README.chroot
++++ b/README_FILES/README.chroot
 @@ -23,6 +23,9 @@
  If you have Postfix, check its chroot setup script for further hints:
  postfix-xxx/examples/chroot-setup/<YOUR-OS> and BASIC_CONFIGURATION_README.
@@ -18,9 +24,8 @@ diff -urNad pkg-amavisd-new~/README_FILES/README.chroot pkg-amavisd-new/README_F
  
  exit   # This is NOT an automatic script!!!
         # Don't execute commands without knowing what they will do!!!
-diff -urNad pkg-amavisd-new~/README_FILES/README.old.scanners pkg-amavisd-new/README_FILES/README.old.scanners
---- pkg-amavisd-new~/README_FILES/README.old.scanners	2005-04-25 01:16:20.000000000 +0200
-+++ pkg-amavisd-new/README_FILES/README.old.scanners	2008-05-20 19:29:10.000000000 +0200
+--- a/README_FILES/README.old.scanners
++++ b/README_FILES/README.old.scanners
 @@ -89,7 +89,7 @@
  otherwise your logfiles don't show which file(s) is/are infected.
  
@@ -39,9 +44,8 @@ diff -urNad pkg-amavisd-new~/README_FILES/README.old.scanners pkg-amavisd-new/RE
  
  # End of perl script
  
-diff -urNad pkg-amavisd-new~/README_FILES/README.performance pkg-amavisd-new/README_FILES/README.performance
---- pkg-amavisd-new~/README_FILES/README.performance	2005-08-12 16:15:59.000000000 +0200
-+++ pkg-amavisd-new/README_FILES/README.performance	2008-05-20 19:29:10.000000000 +0200
+--- a/README_FILES/README.performance
++++ b/README_FILES/README.performance
 @@ -16,7 +16,7 @@
  Hopefully hardware matches expectations,
  fast disks and enough memory are paramount.
@@ -51,9 +55,8 @@ diff -urNad pkg-amavisd-new~/README_FILES/README.performance pkg-amavisd-new/REA
  where amavisd does mail unpacking.
  
  | is there any suggested configuration for this
-diff -urNad pkg-amavisd-new~/README_FILES/README.sendmail pkg-amavisd-new/README_FILES/README.sendmail
---- pkg-amavisd-new~/README_FILES/README.sendmail	2005-04-25 01:16:34.000000000 +0200
-+++ pkg-amavisd-new/README_FILES/README.sendmail	2008-05-20 19:29:10.000000000 +0200
+--- a/README_FILES/README.sendmail
++++ b/README_FILES/README.sendmail
 @@ -212,7 +212,7 @@
  
  /var/spool/mqueue and /var/spool/mqamavis is owned by amavis.
@@ -75,9 +78,8 @@ diff -urNad pkg-amavisd-new~/README_FILES/README.sendmail pkg-amavisd-new/README
  write access to.
  
  NOTE: As sendmail will perform most tasks as user amavis now, it may
-diff -urNad pkg-amavisd-new~/README_FILES/README.sendmail-dual pkg-amavisd-new/README_FILES/README.sendmail-dual
---- pkg-amavisd-new~/README_FILES/README.sendmail-dual	2006-09-15 22:36:47.000000000 +0200
-+++ pkg-amavisd-new/README_FILES/README.sendmail-dual	2008-05-20 19:29:10.000000000 +0200
+--- a/README_FILES/README.sendmail-dual
++++ b/README_FILES/README.sendmail-dual
 @@ -427,8 +427,8 @@
  
  - Mail handling is I/O-intensive. For better performance one may place
@@ -89,9 +91,8 @@ diff -urNad pkg-amavisd-new~/README_FILES/README.sendmail-dual pkg-amavisd-new/R
  
  - One of the important arguments for choosing the dual-MTA setup is to be
    able to keep the number of content filtering processes under control,
-diff -urNad pkg-amavisd-new~/amavisd-agent pkg-amavisd-new/amavisd-agent
---- pkg-amavisd-new~/amavisd-agent	2008-04-10 20:47:12.000000000 +0200
-+++ pkg-amavisd-new/amavisd-agent	2008-05-20 19:30:33.000000000 +0200
+--- a/amavisd-agent
++++ b/amavisd-agent
 @@ -50,7 +50,7 @@
  
  my($dbfile) = 'snmp.db';
@@ -101,21 +102,8 @@ diff -urNad pkg-amavisd-new~/amavisd-agent pkg-amavisd-new/amavisd-agent
  
  my($wakeuptime) = 10;  # -w, sleep time in seconds, may be fractional
  my($repeatcount);      # -c, repeat count (when defined)
-diff -urNad pkg-amavisd-new~/amavisd-agent pkg-amavisd-new/amavisd-agent
---- pkg-amavisd-new~/amavisd-nanny      2008-12-05 17:30:15.000000000 +0000
-+++ pkg-amavisd-new/amavisd-nanny       2008-12-05 17:30:38.000000000 +0000
-@@ -58,7 +58,7 @@
- 
- my($dbfile) = 'nanny.db';
- my($db_home) =  # DB databases directory
--  defined $ENV{'AMAVISD_DB_HOME'} ? $ENV{'AMAVISD_DB_HOME'} : '/var/amavis/db';
-+  defined $ENV{'AMAVISD_DB_HOME'} ? $ENV{'AMAVISD_DB_HOME'} : '/var/lib/amavis/db';
- my($wakeuptime) = 2;  # -w, sleep time in seconds, may be fractional
- my($repeatcount);     # -c, repeat count (when defined)
- 
-diff -urNad pkg-amavisd-new~/amavisd-release pkg-amavisd-new/amavisd-release
---- pkg-amavisd-new~/amavisd-release	2008-03-17 15:43:33.000000000 +0100
-+++ pkg-amavisd-new/amavisd-release	2008-05-20 19:29:10.000000000 +0200
+--- a/amavisd-release
++++ b/amavisd-release
 @@ -79,7 +79,7 @@
  
    $log_level = 1;
@@ -125,3 +113,14 @@ diff -urNad pkg-amavisd-new~/amavisd-release pkg-amavisd-new/amavisd-release
  
  sub sanitize_str {
    my($str, $keep_eol) = @_;
+--- a/amavisd-nanny
++++ b/amavisd-nanny
+@@ -58,7 +58,7 @@
+ 
+ my($dbfile) = 'nanny.db';
+ my($db_home) =  # DB databases directory
+-  defined $ENV{'AMAVISD_DB_HOME'} ? $ENV{'AMAVISD_DB_HOME'} : '/var/amavis/db';
++  defined $ENV{'AMAVISD_DB_HOME'} ? $ENV{'AMAVISD_DB_HOME'} : '/var/lib/amavis/db';
+ my($wakeuptime) = 2;  # -w, sleep time in seconds, may be fractional
+ my($repeatcount);     # -c, repeat count (when defined)
+ 
diff --git a/debian/patches/45_misc_doc_changes.dpatch b/debian/patches/45-misc-doc-changes.patch
similarity index 60%
rename from debian/patches/45_misc_doc_changes.dpatch
rename to debian/patches/45-misc-doc-changes.patch
index 98592f8..7503973 100644
--- a/debian/patches/45_misc_doc_changes.dpatch
+++ b/debian/patches/45-misc-doc-changes.patch
@@ -1,13 +1,15 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 45_misc_doc_changes.dpatch by Henrique de Moraes Holschuh <hmh@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Misc doc changes
+From: Henrique de Moraes Holschuh <hmh@debian.org>
+Subject: Misc doc changes
 
-@DPATCH@
-diff -urNad unstable~/README_FILES/README.courier unstable/README_FILES/README.courier
---- unstable~/README_FILES/README.courier	2006-11-04 00:42:23.000000000 -0300
-+++ unstable/README_FILES/README.courier	2006-11-04 00:42:44.192140909 -0300
+---
+ README_FILES/README.courier |    4 ++++
+ README_FILES/README.exim_v3 |    6 ++++++
+ README_FILES/README.milter  |   21 +++++++++++++++++++++
+ amavisd.conf-default        |    3 +++
+ 4 files changed, 34 insertions(+)
+
+--- a/README_FILES/README.courier
++++ b/README_FILES/README.courier
 @@ -1,3 +1,7 @@
 +Debian Note:  Rename the start links of amavisd-new to S21, or you
 +risk trouble. See the last paragraph of this text for more information.
@@ -16,9 +18,8 @@ diff -urNad unstable~/README_FILES/README.courier unstable/README_FILES/README.c
  How to use amavisd-new with Courier
  ***********************************
  
-diff -urNad unstable~/README_FILES/README.exim_v3 unstable/README_FILES/README.exim_v3
---- unstable~/README_FILES/README.exim_v3	2006-11-04 00:42:23.000000000 -0300
-+++ unstable/README_FILES/README.exim_v3	2006-11-04 00:42:44.192140909 -0300
+--- a/README_FILES/README.exim_v3
++++ b/README_FILES/README.exim_v3
 @@ -1,3 +1,9 @@
 +Debian notes:
 +
@@ -29,9 +30,8 @@ diff -urNad unstable~/README_FILES/README.exim_v3 unstable/README_FILES/README.e
  +======================================================================+
  | (Please see instructions in README.exim_v4. The setup described here |
  | is not recommended with amavisd-new + Exim v4)                       |
-diff -urNad unstable~/README_FILES/README.milter unstable/README_FILES/README.milter
---- unstable~/README_FILES/README.milter	2006-11-04 00:42:23.000000000 -0300
-+++ unstable/README_FILES/README.milter	2006-11-04 00:42:44.193140788 -0300
+--- a/README_FILES/README.milter
++++ b/README_FILES/README.milter
 @@ -1,3 +1,24 @@
 +Debian notes:
 +
@@ -57,9 +57,8 @@ diff -urNad unstable~/README_FILES/README.milter unstable/README_FILES/README.mi
  ===============================================================================
  NOTE:
    A recommended sendmail setup is described in file README.sendmail-dual,
-diff -urNad unstable~/amavisd.conf-default unstable/amavisd.conf-default
---- unstable~/amavisd.conf-default	2006-11-04 00:42:23.000000000 -0300
-+++ unstable/amavisd.conf-default	2006-11-04 00:42:44.191141030 -0300
+--- a/amavisd.conf-default
++++ b/amavisd.conf-default
 @@ -1,5 +1,8 @@
  use strict;
  
diff --git a/debian/patches/60-amavisd-snmp-subagent_paths.dpatch b/debian/patches/60-amavisd-snmp-subagent-paths.patch
similarity index 59%
rename from debian/patches/60-amavisd-snmp-subagent_paths.dpatch
rename to debian/patches/60-amavisd-snmp-subagent-paths.patch
index d9cd4f9..5d84f83 100644
--- a/debian/patches/60-amavisd-snmp-subagent_paths.dpatch
+++ b/debian/patches/60-amavisd-snmp-subagent-paths.patch
@@ -1,13 +1,12 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## amavisd-snmp-subagent_paths.dpatch by Alexander Wirt <formorer@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
+From: Alexander Wirt <formorer@debian.org>
+Subject: No description.
 
-@DPATCH@
-diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' pkg-amavisd-new~/amavisd-snmp-subagent pkg-amavisd-new/amavisd-snmp-subagent
---- pkg-amavisd-new~/amavisd-snmp-subagent	2009-07-11 20:11:51.000000000 +0200
-+++ pkg-amavisd-new/amavisd-snmp-subagent	2010-03-04 23:16:29.000000000 +0100
+---
+ amavisd-snmp-subagent |    6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+--- a/amavisd-snmp-subagent
++++ b/amavisd-snmp-subagent
 @@ -64,7 +64,7 @@
  $syslog_facility = LOG_MAIL;
  
@@ -26,7 +25,7 @@ diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch'
  
  my($pid_file_created) = 0;
  my($syslog_open) = 0;
-@@ -723,7 +723,7 @@
+@@ -735,7 +735,7 @@
     -d log_level    debugging level, 0..5, default 0
     -P pid_file     a file name to receive a PID of a damonized process
     -D db_home_dir  amavis database directory ($db_home),
diff --git a/debian/patches/85-clarify-fqdn-error.patch b/debian/patches/85-clarify-fqdn-error.patch
new file mode 100644
index 0000000..e803cfc
--- /dev/null
+++ b/debian/patches/85-clarify-fqdn-error.patch
@@ -0,0 +1,19 @@
+From: Alexander Wirt <formorer@debian.org>
+Subject: clarify fqdn error message (#451804)
+
+---
+ amavisd |    3 ++-
+ 1 file changed, 2 insertions(+), 1 deletion(-)
+
+--- a/amavisd
++++ b/amavisd
+@@ -15954,7 +15954,8 @@
+   The value of variable \$myhostname is \"$myhn\", but should have been
+   a fully qualified domain name; perhaps uname(3) did not provide such.
+   You must explicitly assign a FQDN of this host to variable \$myhostname
+-  in amavisd.conf, or fix what uname(3) provides as a host's network name!
++  in /etc/amavis/conf.d/05-node_id, or fix what uname(3) provides as a host's 
++  network name!
+ EOD
+ 
+ $mail_id_size_bits > 0 &&
diff --git a/debian/patches/85-clarify_fqdn_error.dpatch b/debian/patches/85-clarify_fqdn_error.dpatch
deleted file mode 100644
index dd79019..0000000
--- a/debian/patches/85-clarify_fqdn_error.dpatch
+++ /dev/null
@@ -1,20 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 85-clarify_fqdn_error.dpatch by Alexander Wirt <formorer@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: clarify fqdn error message (#451804)
-
-@DPATCH@
-diff -urNad pkg-amavisd~/amavisd pkg-amavisd/amavisd
---- pkg-amavisd~/amavisd	2008-06-29 02:37:58.000000000 +0200
-+++ pkg-amavisd/amavisd	2008-07-24 20:55:51.000000000 +0200
-@@ -12962,7 +12962,8 @@
-   The value of variable \$myhostname is \"$myhn\", but should have been
-   a fully qualified domain name; perhaps uname(3) did not provide such.
-   You must explicitly assign a FQDN of this host to variable \$myhostname
--  in amavisd.conf, or fix what uname(3) provides as a host's network name!
-+  in /etc/amavis/conf.d/05-node_id, or fix what uname(3) provides as a host's 
-+  network name!
- EOD
- 
- # $SIG{USR2} = sub {
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..322d454
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,6 @@
+20-safe-path-at-init.patch
+30-conf.d-support-builtin.patch
+40-fix-paths.patch
+45-misc-doc-changes.patch
+60-amavisd-snmp-subagent-paths.patch
+85-clarify-fqdn-error.patch
diff --git a/debian/rules b/debian/rules
index 0464337..313ec85 100755
--- a/debian/rules
+++ b/debian/rules
@@ -14,7 +14,6 @@ PACKAGE=amavisd-new
 
 # DPatch
 DEB_SOURCE_PACKAGE:=$(PACKAGE)
-include /usr/share/dpatch/dpatch.make
 
 # Other setup
 PKGDIR:=$(CURDIR)/debian/$(PACKAGE)
@@ -33,18 +32,22 @@ endif
 CFLAGS +=$(DEBUGFLAGS)
 
 configure: configure-stamp
-configure-stamp: patch-stamp
+configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
 	touch configure-stamp
 
+
+build-arch: build
+build-indep: build
+
 build: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
 
 	touch build-stamp
 
-clean: clean-patched unpatch
+clean: clean-patched
 clean-patched:
 	dh_testdir
 	dh_testroot
@@ -59,7 +62,7 @@ clean-patched:
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	dh_install 
 
diff --git a/debian/source/format b/debian/source/format
index d3827e7..163aaf8 100644
--- a/debian/source/format
+++ b/debian/source/format
@@ -1 +1 @@
-1.0
+3.0 (quilt)
-- 
1.7.10

